/*============================================================================================
 *
 *  (C) 2013, LDM-SYSTEMS
 *
 *       LDM-K1986BE92QI
 *
 *     " ", ..   ,  
 *        Milandr K1986BE92QI.  LDM-SYSTEMS
 *          , 
 *      , .
 *
 *--------------------------------------------------------------------------------------------
 *
 *   image.h: 
 *
 *============================================================================================*/

#ifndef __IMAGE_H
#define __IMAGE_H

#include <types.h>
#include <string.h>
#include <lcd.h>

#ifndef __CMCARM_DEMO__

#define BitSwap(x) (x<<7)|((x<<5)&64)|((x<<3)&32)|((x<<1)&16)|((x>>1)&8)|((x>>3)&4)|((x>>5)&2)|(x>>7)

u32 size_x[4] = {104,76,96,118};                                    // SIZE

static char LDM_IMAGE[104][8] = {
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x03},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x03},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x03},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF3},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF3},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF3},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF3},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x03},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x03},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF9, 0xF3},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF9, 0xF3},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0xE3},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x07},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x07},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x0F},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x03},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x03},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x03},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x3F},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F},
{0xFF, 0xFF, 0xFC, 0x07, 0xFF, 0xFF, 0xFF, 0xC7},
{0xFF, 0xFF, 0x80, 0x00, 0x7F, 0xFF, 0xFF, 0x0F},
{0xFF, 0xFE, 0x00, 0x00, 0x1F, 0xFF, 0xFC, 0x3F},
{0xFF, 0xF8, 0x00, 0x00, 0x07, 0xFF, 0xF8, 0x03},
{0xFF, 0xF0, 0x07, 0xFC, 0x01, 0xFF, 0xF8, 0x03},
{0xFF, 0xC0, 0x3F, 0xFF, 0x80, 0xFF, 0xF8, 0x03},
{0xFF, 0x80, 0xFF, 0xFF, 0xE0, 0x7F, 0xFF, 0xFF},
{0xFF, 0x03, 0xFF, 0xFF, 0xF0, 0x3F, 0xFF, 0x9F},
{0xFE, 0x07, 0xFF, 0xFF, 0xFC, 0x1F, 0xFF, 0x9F},
{0xFE, 0x0F, 0xFF, 0xFF, 0xFE, 0x0F, 0xFF, 0x9F},
{0xFC, 0x1F, 0xFF, 0xFF, 0xFF, 0x07, 0xFF, 0x9F},
{0xF8, 0x3F, 0xFF, 0xFF, 0xFF, 0x87, 0xFF, 0xFF},
{0xF0, 0x7F, 0xFF, 0xFF, 0xFF, 0x83, 0xFF, 0xFF},
{0xF0, 0xFC, 0x00, 0x00, 0x00, 0xC3, 0xFC, 0x67},
{0xF0, 0xFC, 0x00, 0x00, 0x00, 0xE1, 0xF8, 0x67},
{0xE1, 0xFC, 0x00, 0x00, 0x00, 0xE1, 0xF8, 0x23},
{0xE1, 0xFC, 0x00, 0x00, 0x00, 0xE0, 0xF3, 0x33},
{0xC3, 0xFC, 0x00, 0x00, 0x00, 0xF0, 0xF3, 0x33},
{0xC3, 0xFF, 0xFF, 0xFF, 0xF0, 0xF0, 0xF9, 0x03},
{0xC3, 0xFF, 0xFF, 0xFF, 0xF0, 0xF0, 0xF9, 0x07},
{0xC3, 0xFF, 0x80, 0x00, 0x10, 0xF8, 0xFD, 0x8F},
{0xC7, 0xF9, 0x80, 0x00, 0x11, 0xF8, 0x7F, 0xFF},
{0xC7, 0xF9, 0x80, 0x00, 0x11, 0xF8, 0x7B, 0xFF},
{0xC7, 0xF9, 0x9F, 0xFF, 0x11, 0xF8, 0x78, 0xFF},
{0xC7, 0xF9, 0x9F, 0xFF, 0x11, 0xF8, 0x78, 0x7F},
{0xC7, 0xF9, 0x9F, 0xFF, 0x11, 0xF8, 0x7C, 0x03},
{0xC7, 0xF9, 0x8F, 0xFE, 0x31, 0xF8, 0x7F, 0x03},
{0xC3, 0xF9, 0xC7, 0xF8, 0x31, 0xF8, 0xFC, 0x03},
{0xC3, 0xF9, 0xE0, 0x00, 0xF1, 0xF0, 0xF8, 0x7F},
{0xC3, 0xF9, 0xF0, 0x03, 0xF1, 0xF0, 0xF9, 0xFF},
{0xC3, 0xF9, 0xFF, 0xFF, 0xF1, 0xF0, 0xFB, 0xFF},
{0xE1, 0xF1, 0xFF, 0xFF, 0xE1, 0xE0, 0xFF, 0xFF},
{0xE1, 0xF1, 0x80, 0x00, 0x23, 0xE1, 0xFC, 0x67},
{0xF0, 0xF3, 0x80, 0x00, 0x23, 0xE1, 0xF8, 0x67},
{0xF0, 0xF3, 0x80, 0x00, 0x23, 0xC3, 0xF8, 0x23},
{0xF0, 0x73, 0xC0, 0x3F, 0xE3, 0x83, 0xF3, 0x33},
{0xF8, 0x33, 0xFC, 0x0F, 0xE3, 0x87, 0xF3, 0x33},
{0xFC, 0x33, 0xFF, 0x03, 0xE3, 0x07, 0xF9, 0x03},
{0xFC, 0x33, 0xFF, 0xC0, 0xE2, 0x0F, 0xF9, 0x07},
{0xFE, 0x33, 0xFF, 0xC1, 0xE2, 0x1F, 0xFD, 0x8F},
{0xFF, 0x33, 0xFF, 0x0F, 0xE2, 0x3F, 0xFF, 0xFF},
{0xFF, 0xB3, 0xF8, 0x3F, 0xE2, 0x7F, 0xF9, 0xFF},
{0xFF, 0xF3, 0xC0, 0x00, 0x42, 0xFF, 0xF9, 0xFF},
{0xFF, 0xE3, 0x00, 0x00, 0x43, 0xFF, 0xF9, 0xFF},
{0xFF, 0xE7, 0x00, 0x00, 0x43, 0xFF, 0xF8, 0x03},
{0xFF, 0xE7, 0xFF, 0xFF, 0xC7, 0xFF, 0xF8, 0x03},
{0xFF, 0xE7, 0xFF, 0xFF, 0xC7, 0xFF, 0xF9, 0xFF},
{0xFF, 0xE7, 0xFF, 0xF9, 0xC7, 0xFF, 0xF9, 0xFF},
{0xFF, 0xE6, 0x73, 0x19, 0xC7, 0xFF, 0xF9, 0xFF},
{0xFF, 0xE6, 0x73, 0x19, 0xC7, 0xFF, 0xFF, 0xFF},
{0xFF, 0xE6, 0x73, 0x19, 0xC7, 0xFF, 0xFF, 0xFF},
{0xFF, 0xE6, 0x73, 0x39, 0xC7, 0xFF, 0xF8, 0x03},
{0xFF, 0xE6, 0x63, 0x39, 0xFF, 0xFF, 0xF8, 0x03},
{0xFF, 0xE6, 0x63, 0x3F, 0xFF, 0xFF, 0xF9, 0x33},
{0xFF, 0xCE, 0x67, 0xFF, 0xFF, 0xFF, 0xF9, 0x33},
{0xFF, 0xCE, 0xFF, 0xFF, 0xFF, 0xFF, 0xF9, 0x33},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF9, 0x33},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF9, 0x33},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x03},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x03},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x03},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x3F},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC7},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x3F},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x03},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x03},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x03},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x67},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x67},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x23},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF3, 0x33},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF3, 0x33},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF9, 0x03},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF9, 0x07},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0x8F}};


static char MILANDR_IMAGE[76][8] = {
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x01},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x01},
{0xFF, 0xFF, 0xF8, 0xE3, 0x8F, 0xFF, 0xFC, 0x7F},
{0xFF, 0xFF, 0xF8, 0xE3, 0x8F, 0xFF, 0xFE, 0x1F},
{0xFF, 0xFF, 0xF8, 0xE3, 0x8F, 0xFF, 0xFF, 0x87},
{0xFF, 0xFF, 0xF8, 0xE3, 0x8F, 0xFF, 0xFF, 0x07},
{0xFF, 0xFF, 0xF8, 0xE3, 0x8F, 0xFF, 0xFE, 0x1F},
{0xFF, 0xFF, 0xF8, 0xE3, 0x8F, 0xFF, 0xFC, 0x7F},
{0xFF, 0xFF, 0xF8, 0xE3, 0x8F, 0xFF, 0xF8, 0x01},
{0xFF, 0xFF, 0xF8, 0xE3, 0x8F, 0xFF, 0xF8, 0x01},
{0xFF, 0xFF, 0xF8, 0xE3, 0x8F, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF8, 0xE3, 0x8F, 0xFF, 0xFF, 0xFF},
{0x80, 0x00, 0x00, 0xE3, 0x8E, 0x00, 0x18, 0x01},
{0x80, 0x00, 0x00, 0xE3, 0x8E, 0x00, 0x18, 0x01},
{0x80, 0x00, 0x00, 0xE3, 0x8E, 0x00, 0x18, 0x01},
{0x80, 0x1F, 0xFF, 0xFF, 0xFF, 0x80, 0x1E, 0x3F},
{0x80, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x1C, 0x7F},
{0x83, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x1C, 0xFF},
{0x83, 0x80, 0x01, 0xC3, 0x8E, 0x1C, 0x18, 0x01},
{0x86, 0x00, 0x03, 0x83, 0x8E, 0x0E, 0x18, 0x01},
{0x86, 0x00, 0x07, 0x83, 0x8E, 0x06, 0x18, 0x01},
{0x8C, 0x00, 0x0F, 0x03, 0x8E, 0x07, 0x1F, 0xFF},
{0x8C, 0x00, 0x1E, 0x03, 0x8E, 0x07, 0x1F, 0xFF},
{0x8C, 0x00, 0x3C, 0x03, 0x8E, 0x07, 0x1F, 0x01},
{0x8C, 0x00, 0x78, 0x03, 0x8E, 0x07, 0x1E, 0x01},
{0x8C, 0x00, 0xE0, 0x03, 0x8E, 0x07, 0x1C, 0x3F},
{0x8C, 0x00, 0xC0, 0x03, 0x8E, 0x07, 0x18, 0x7F},
{0x8C, 0x01, 0x80, 0x03, 0x8E, 0x07, 0x18, 0xFF},
{0x8C, 0x03, 0x00, 0x03, 0x8E, 0x07, 0x18, 0x01},
{0x8C, 0x07, 0x00, 0x03, 0x8E, 0x07, 0x18, 0x01},
{0x8C, 0x0E, 0x00, 0x03, 0x8E, 0x07, 0x18, 0x01},
{0x8C, 0x0C, 0x1F, 0x83, 0x8E, 0x07, 0x1F, 0xFF},
{0x8C, 0x1C, 0x7F, 0xC3, 0x8E, 0x07, 0x1F, 0xFF},
{0x8C, 0x39, 0xFF, 0xC3, 0x8E, 0x07, 0x1F, 0xE1},
{0x8C, 0x3F, 0xFF, 0xC3, 0x8E, 0x07, 0x1F, 0x01},
{0x8C, 0x7F, 0xC3, 0x83, 0x8E, 0x07, 0x1C, 0x07},
{0x8C, 0x3E, 0x07, 0x83, 0x8E, 0x07, 0x18, 0xE7},
{0x8C, 0x00, 0x0F, 0x03, 0x8E, 0x07, 0x18, 0xE7},
{0x8C, 0x00, 0x1E, 0x03, 0x8E, 0x07, 0x1C, 0x07},
{0x8C, 0x00, 0x3C, 0x03, 0x8E, 0x07, 0x1F, 0x01},
{0x8C, 0x00, 0x78, 0x03, 0x8E, 0x07, 0x1F, 0xE1},
{0x8C, 0x00, 0xF0, 0x03, 0x8E, 0x07, 0x1F, 0xFF},
{0x8C, 0x01, 0xC0, 0x03, 0x8E, 0x07, 0x1F, 0xFF},
{0x8C, 0x07, 0x80, 0x03, 0x8E, 0x07, 0x18, 0x01},
{0x8C, 0x0E, 0x00, 0x03, 0x8E, 0x07, 0x18, 0x01},
{0x8C, 0x1E, 0x0F, 0x03, 0x8E, 0x07, 0x18, 0x01},
{0x8C, 0x3F, 0xFF, 0x83, 0x8E, 0x07, 0x1F, 0x3F},
{0x8C, 0x1F, 0xFF, 0xC3, 0x8E, 0x07, 0x1F, 0x3F},
{0x8C, 0x00, 0x03, 0xC3, 0x8E, 0x07, 0x1F, 0x3F},
{0x8C, 0x00, 0x00, 0xE3, 0x8E, 0x07, 0x18, 0x01},
{0x8C, 0x00, 0x00, 0xE3, 0x8E, 0x07, 0x18, 0x01},
{0x8C, 0x00, 0x00, 0xE3, 0x8E, 0x07, 0x1F, 0xFF},
{0x8C, 0x00, 0x00, 0xE3, 0x8E, 0x07, 0x1F, 0xFF},
{0x8E, 0x00, 0x00, 0xE3, 0x8E, 0x06, 0x1F, 0xF9},
{0x86, 0x00, 0x00, 0xE3, 0x8E, 0x06, 0x1E, 0x09},
{0x87, 0x00, 0x00, 0xE3, 0x8E, 0x0E, 0x1C, 0x09},
{0x83, 0x80, 0x00, 0xE3, 0x8E, 0x3C, 0x1C, 0x09},
{0x81, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x18, 0xF9},
{0x80, 0x7F, 0xFF, 0xFF, 0xFF, 0xE0, 0x18, 0xF9},
{0x80, 0x00, 0x00, 0xE3, 0x8E, 0x00, 0x18, 0xF9},
{0x80, 0x00, 0x00, 0xE3, 0x8E, 0x00, 0x18, 0x01},
{0x80, 0x00, 0x00, 0xE3, 0x8E, 0x00, 0x18, 0x01},
{0x80, 0x00, 0x00, 0xE3, 0x8E, 0x00, 0x1F, 0xF9},
{0xFF, 0xFF, 0xF8, 0xE3, 0x8F, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF8, 0xE3, 0x8F, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF8, 0xE3, 0x8F, 0xFF, 0xF8, 0x01},
{0xFF, 0xFF, 0xF8, 0xE3, 0x8F, 0xFF, 0xF8, 0x01},
{0xFF, 0xFF, 0xF8, 0xE3, 0x8F, 0xFF, 0xF8, 0xE7},
{0xFF, 0xFF, 0xF8, 0xE3, 0x8F, 0xFF, 0xF8, 0xE7},
{0xFF, 0xFF, 0xF8, 0xE3, 0x8F, 0xFF, 0xF8, 0xC7},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x0F},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x0F},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x1F},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF}};


static char PHYTON_IMAGE[96][8] = {
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF8, 0x00, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF8, 0x00, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF8, 0x00, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF8, 0x00, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF8, 0x00, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF8, 0x00, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF8, 0x78, 0x7F, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF8, 0x78, 0x7F, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF8, 0x78, 0x7F, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF8, 0x30, 0x7F, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF8, 0x00, 0x7F, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF8, 0x00, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFC, 0x00, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFC, 0x01, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFE, 0x03, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0x8F, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF8, 0x00, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF8, 0x00, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF8, 0x00, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF8, 0x00, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF8, 0x00, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xE3, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC3, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC3, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xF8, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xDF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC7, 0xFF, 0x87, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC0, 0xFF, 0x87, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC0, 0x3F, 0xC7, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC0, 0x0F, 0x87, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC0, 0x01, 0x07, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xF8, 0x00, 0x07, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x07, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x0F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x1F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC0, 0x01, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC0, 0x0F, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC0, 0x7F, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC3, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xCF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC3, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC3, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFE, 0x00, 0x01, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFC, 0x00, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFC, 0x00, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFC, 0x00, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF8, 0x00, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC3, 0xF0, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC3, 0xF0, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC3, 0xF0, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xF8, 0x3F, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xE0, 0x07, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC7, 0xE7, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0x88, 0x33, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0x13, 0x89, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0x26, 0xE9, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFE, 0x6C, 0x25, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFE, 0x49, 0xB5, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFC, 0xCB, 0x25, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xCA, 0x69, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC9, 0xC9, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xE4, 0x13, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xF3, 0xE3, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xF8, 0x07, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFC, 0x3F, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xE3, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC3, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC1, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0xFF, 0xFF, 0xFF}};



static char MELT_IMAGE[118][8] = {
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x3F, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x03, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF0, 0x00, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFC, 0x00, 0x3F, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0x00, 0x0F, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC0, 0x07, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xF0, 0x01, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xE0, 0x03, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0x80, 0x0F, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFE, 0x00, 0x3F, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF8, 0x00, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x03, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x3F, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x60, 0x60, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x70, 0xE0, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x79, 0xE0, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF0, 0x3F, 0xC0, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF0, 0x1F, 0x80, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF8, 0x00, 0x01, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF8, 0x00, 0x01, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFC, 0x00, 0x03, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFE, 0x00, 0x07, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0x80, 0x0E, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xE0, 0x7C, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xC0, 0x01, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0x00, 0x03, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFE, 0x00, 0x0F, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFC, 0x00, 0x7F, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF8, 0x07, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF0, 0x1F, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xF0, 0x3F, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x7F, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF},
{0xFF, 0xFF, 0xE0, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF}};



void PrintImage(u32 mas)
{
  u32 i,j;
  u32 adr;

  LCD_CLS();
  CurrentMethod = MET_OR;

  for(i=0;i<8;i++)
  {
    adr = 63-size_x[mas]/2;
    SetCrystal(0);
    LCD_SET_PAGE(i);
    LCD_SET_ADDRESS(adr);

    for(j=0;j<size_x[mas];j++)
    {
      if(adr == 64)
      {
        adr = 0;
        SetCrystal(1);
        LCD_SET_PAGE(i);
        LCD_SET_ADDRESS(adr);
      }

      switch(mas)
      {
        case 0:
              WriteLCD_Data(0xFF-(unsigned char)(BitSwap(LDM_IMAGE[j][i])));        // IMAGE LDM
        break;

        case 1:
              WriteLCD_Data(0xFF-(unsigned char)(BitSwap(MILANDR_IMAGE[j][i])));        // IMAGE MILANDR
        break;

        case 2:
              WriteLCD_Data(0xFF-(unsigned char)(BitSwap(PHYTON_IMAGE[j][i])));        // IMAGE PHYTON
        break;

        case 3:
              WriteLCD_Data(0xFF-(unsigned char)(BitSwap(MELT_IMAGE[j][i])));        // IMAGE MELT
        break;
      }

      adr++;
    }
  }
}


#endif /* __CMCARM_DEMO__ */

#endif/* __IMAGE_H */

/*============================================================================================
 *   image.h
 *============================================================================================*/

