/*============================================================================================
 *
 *  (C) 2013, LDM-SYSTEMS
 *
 *       LDM-K1986BE92QI
 *
 *     " ", ..   ,  
 *        Milandr K1986BE92QI.  LDM-SYSTEMS
 *          , 
 *      , .
 *
 *--------------------------------------------------------------------------------------------
 *
 *   leds.h:   
 *
 *============================================================================================*/

#ifndef __LEDS_H
#define __LEDS_H

#include <types.h>

/*         */
typedef enum {
    LED0_OFS    = 0,
    LED1_OFS    = 1,
    LED2_OFS    = 2,
    LED3_OFS    = 3,
    //LED4_OFS    = 14,
    LED0_MASK   = (1 << LED0_OFS),
    LED1_MASK   = (1 << LED1_OFS),
    LED2_MASK   = (1 << LED2_OFS),
    LED3_MASK   = (1 << LED3_OFS),
    //LED4_MASK   = (1 << LED4_OFS),
    LEDS_MASK   = (LED0_MASK | LED1_MASK | LED2_MASK | LED3_MASK)// | LED4_MASK)
} LEDS_Masks;

/* ROL */
#define __SHLC(val, cnt) ((val << (cnt & 31)) | (val >> ((32 - cnt) & 31)))

/*    */
extern u32 CurrentLights;

/*   */
void InitPortLED(void);
void ShiftLights(void);

#endif /* __LEDS_H */

/*============================================================================================
 *   leds.h
 *============================================================================================*/

