/*============================================================================================
 *
 *  (C) 2013, LDM-SYSTEMS
 *
 *       LDM-K1986BE92QI
 *
 *     " ", ..   ,  
 *        Milandr K1986BE92QI.  LDM-SYSTEMS
 *          , 
 *      , .
 *
 *--------------------------------------------------------------------------------------------
 *
 *   leds.c:   
 *
 *============================================================================================*/

#include <leds.h>
#include <lcd.h>
#include <text.h>
#include <joystick.h>
#include <menu.h>

/*    */
u32 CurrentLights;

/*   */

void InitPortLED(void) {
    PORTB->FUNC &= ~((0xFF << (LED0_OFS << 1)));   /* Port */
    PORTB->ANALOG |= LEDS_MASK;                    /* Digital */
    PORTB->PWR |= (0b10101010 << (LED0_OFS << 1));       /* Slow */
    PORTB->RXTX &= ~LEDS_MASK;
    PORTB->OE |= LEDS_MASK;
}

void ShiftLights(void) {
    u32 ovf;
    PORTB->RXTX = (PORTB->RXTX & ~LEDS_MASK) | (CurrentLights & LEDS_MASK);
    ovf = (CurrentLights & (1UL << 31)) != 0;
    CurrentLights <<= 1;
    CurrentLights |= ovf;
}

/*============================================================================================
 *   leds.c
 *============================================================================================*/

