/*============================================================================================
 *
 *  (C) 2013, LDM-SYSTEMS
 *
 *       LDM-K1986BE92QI
 *
 *     " ", ..   ,  
 *        Milandr K1986BE92QI.  LDM-SYSTEMS
 *          , 
 *      , .
 *
 *--------------------------------------------------------------------------------------------
 *
 *   systick.c:        
 *
 *============================================================================================*/

#include <systick.h>

/*   */
static vu32 TimerCounter = 0;

/*    */
void SysTickStart(u32 ticks) {
    SYS->STRVR = ticks;
    SYS->STCSR = mask_SYS_STCSR_ENABLE | mask_SYS_STCSR_TICKINT | mask_SYS_STCSR_CLKSOURCE;
}


void SysTickStop() {
    SYS->STCSR &= ~mask_SYS_STCSR_ENABLE;
}


/*   SYSTICK */
void SysTick_Handler(void) {
    if (TimerCounter)
        TimerCounter--;
}


/*   (  systick) */
void SysTickDelay(u32 ticks) {
    if (ticks) {
        TimerCounter = ticks;
        SysTickStart(ticks);
        while (TimerCounter);
        SysTickStop();
    }
}


/*============================================================================================
 *   systick.c
 *============================================================================================*/

